
 <div
class="d-flex bd-highlight" >
 <div class="p-2 w-100 bd-highlight">
   <div>
     <a class="pps-header" style="font-size: 28px;">ข้อมูลทั่วไป</a>
   </div>
   <p class="pps-header_th">
     เพิ่มรายละเอียดข้อมูลตามหัวข้อที่ปรากฎด้านล่าง
   </p>
 </div>
 <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
  <div *ngIf="validate === true">
    <button
      type="button"
      class="btn btn-primary saveDraft"
      (click)="saveDraft()"
    >
      บันทึกร่างใบคำขอ
    </button>
  </div>

  <!-- <div *ngIf="userRole === 'PO'">
    <button
      type="button"
      class="btn btn-primary sandwork"
      (click)="sandwork()"
    >
      ส่งงาน
    </button>
  </div> -->

</div>
</div>

<app-first-step [template_manage]="{summary: 'show' }" ></app-first-step>

<!-- <div class="row" >
  <div class="col-12 row">
    <div class="col-12">
      <p class="head-detal">วันที่คาดว่าจะประกาศใช้</p>
    </div>
    <div class="col-12 input-warpper">
      <div class="input-calendar">
        <input type="text" class="form-control" placeholder="กรุณาเลือกช่วงวันที่สร้างคำขอ"
          [(ngModel)]="dateRange[0].selectedDate" (focus)="openCalendar(0)" (ngModelChange)="input_date()" />
        <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="openCalendar(0)" />
        <i class="fa fa-close btn-delete" *ngIf="dateRange[0].selectedDate" (click)="clearCalendar(0)"></i>
      </div>
      <div class="calendar-warpper-2" *ngIf="dateRange[0].calendarState">
        <div class="body-calendar">
          <mat-calendar [selected]="dateRange[0].selectedStartDate" (selectedChange)="onSelectStart($event, 0)"
            [startAt]="dateRange[0].selectedStartDate">
          </mat-calendar>

        </div>
        <div class="footer-calendar">

          <button class="btn-apply" color="primary" [disabled]="
              !(
                dateRange[0].modifiedStartDate
              )
            " mat-flat-button (click)="applyCalendar(0)">
            ตกลง
          </button>
          <button class="btn-close" mat-flat-button (click)="closeCalendar(0)">
            ปิด
          </button>
        </div>
      </div>
      <div class="calendar-backdrop" *ngIf="dateRange[0].calendarState" (click)="closeCalendar(0)"></div>
    </div>
  </div>
</div> -->
<div class="row" *ngIf="validate === true">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
  </div>
</div>
<br>
<div class="row"
*ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>